# jdmonthname

(PHP 4, PHP 5, PHP 7)

jdmonthname — Returns a month name

### Description

jdmonthname ( int `$julianday` , int `$mode` ) : string

Returns a string containing a month name. `mode` tells this function which calendar to convert the Julian Day Count to, and what type of month names are to be returned.

Calendar modes
Mode | Meaning | Values
--- | --- | ---
`CAL_MONTH_GREGORIAN_SHORT` | Gregorian - abbreviated | Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec
`CAL_MONTH_GREGORIAN_LONG` | Gregorian | January, February, March, April, May, June, July, August, September, October, November, December
`CAL_MONTH_JULIAN_SHORT` | Julian - abbreviated | Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec
`CAL_MONTH_JULIAN_LONG` | Julian | January, February, March, April, May, June, July, August, September, October, November, December
`CAL_MONTH_JEWISH` | Jewish | Tishri, Heshvan, Kislev, Tevet, Shevat, AdarI, AdarII, Nisan, Iyyar, Sivan, Tammuz, Av, Elul
`CAL_MONTH_FRENCH` | French Republican | Vendemiaire, Brumaire, Frimaire, Nivose, Pluviose, Ventose, Germinal, Floreal, Prairial, Messidor, Thermidor, Fructidor, Extra

### Parameters

`jday`

  The Julian Day to operate on

`mode`

  The calendar mode (see table above).

### Return Values

The month name for the given Julian Day and `mode`.